summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'leptonica/autogen.sh')
-rwxr-xr-xleptonica/autogen.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/leptonica/autogen.sh b/leptonica/autogen.sh
new file mode 100755
index 00000000..62cfe724
--- /dev/null
+++ b/leptonica/autogen.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+#
+# autogen.sh
+
+libtoolize -c -f || glibtoolize -c -f
+aclocal
+autoheader -f
+autoconf
+if grep -q PKG_CHECK_MODULES configure; then
+ # The generated configure is invalid because pkg-config is unavailable.
+ rm configure
+ echo "Error, missing pkg-config. Check the build requirements."
+ exit 1
+fi
+automake -a -c -f